
#define SDRIP_SAMPLING_CLOCK_DIV10 8000000
#define SDR14_SAMPLING_CLOCK 66.66666666
#define PERSEUS_SAMPLING_CLOCK 80000000.0
#define EXCALIBUR_SAMPLING_CLOCK 100000000.0


#define MAX_PERSEUS_FILTER 11

#if(OSNUM == OS_FLAG_LINUX)
#define MAX_PERSEUS_RATES 6
#endif
#if(OSNUM == OS_FLAG_WINDOWS)
#define MAX_PERSEUS_RATES 9
#endif

extern int no_of_excalibur_rates;


#define PERSEUS_RATES_BUFSIZE 20
extern double perseus_rates[PERSEUS_RATES_BUFSIZE];
extern int no_of_perseus_rates;

extern double adjusted_sdr_clock;
extern char *sdr14_name_string;
extern char *sdriq_name_string;
extern char *sdrip_name_string;
extern char *perseus_name_string;
extern char *excalibur_name_string;


// Structure for Perseus parameters
typedef struct {
int rate_no;
int clock_adjust;
int presel;
int preamp;
int dither;
int check;
}P_PERSEUS;
#define MAX_PERSEUS_PARM 6

// Structure for Excalibur parameters
typedef struct {
int rate_no;
int sampling_rate;
int clock_adjust;
int mw_filter_maxfreq;
int dither;
int check;
}P_EXCALIBUR;
#define MAX_EXCALIBUR_PARM 6
extern P_EXCALIBUR excalib;



typedef struct {
int parport;
int parport_pin;
int rx2500_fqcorr;
int rx10700_fqcorr[4];
int rx70_fqcorr[5];
int rx144_fqcorr[4];
int rxhfa_fqcorr[5];
int tx2500_fqcorr;
int tx10700_fqcorr[4];
int tx70_fqcorr[5];
int tx144_fqcorr[4];
int txhfa_fqcorr[5];
}WSE_PARM;
#define MAX_WSE_PARM 40

extern WSE_PARM wse;




void close_sdr14(void);
void close_perseus(void);
void init_sdr14(void);
void init_perseus(void);
void init_sdrip(void);
void init_excalibur(void);
int display_perseus_parm_info(int *line);
int display_sdr14_parm_info(int *line);
int display_sdrip_parm_info(int *line);
int display_excalibur_parm_info(int *line);
void fill_perseus_rates(void);
